:root {
  --ifm-color-primary: #2c7df7;
  --ifm-color-primary-dark: #106cf6;
  --ifm-color-primary-darker: #0965ee;
  --ifm-color-primary-darkest: #0753c4;
  --ifm-color-primary-light: #488ef8;
  --ifm-color-primary-lighter: #5697f9;
  --ifm-color-primary-lightest: #80b1fa;
  --ifm-code-font-size: 95%;

  --ifm-container-width: 1420px;
  --ifm-spacing-horizontal: 1rem;
}

/*html[data-theme='dark'] {
  --ifm-background-color: #191f36;
  --ifm-background-surface-color: #2a3045;
  --doc-component-background: #2a3045;
}
*/
html[data-theme='dark'] {
  --ifm-color-primary: rgb(121, 182, 242);
  --doc-component-background: #242526;
}

html[data-theme='light'] {
  --ifm-background-color: #fff;
  --ifm-background-surface-color: #f9f8f8;
}

.docusaurus-highlight-code-line {
  background-color: rgb(72, 77, 91);
  display: block;
  margin: 0 calc(-1 * var(--ifm-pre-padding));
  padding: 0 var(--ifm-pre-padding);
}

small {
  margin-bottom: 10px;
}

.markdown > .p,
.markdown > p {
  font-size: 18px;
  line-height: inherit;
  margin: 11px 0;
}

.menu_node_modules-\@docusaurus-theme-classic-lib-next-theme-DocSidebar-styles-module {
  padding-top: 1rem !important;
}

.padding-top--md {
  padding-top: 2rem !important;
  padding-left: 1.5rem !important;
}

.menu__link {
  align-items: center;
  display: flex;
  justify-content: flex-start;
}

.menu > .menu__list > .menu__list-item > .menu__link--sublist {
  text-align: left !important;
}

.menu__link--sublist:after {
  background: var(--ifm-menu-link-sublist-icon) 50%/2rem 2rem;
  content: ' ';
  filter: var(--ifm-menu-link-sublist-icon-filter);
  height: 1.25rem;
  position: absolute;
  right: var(--ifm-menu-link-padding-horizontal);
  top: var(--ifm-menu-link-padding-vertical);
  transform: rotate(180deg);
  transition: transform var(--ifm-transition-fast) linear;
  width: 1.25rem;
}

.menu > .menu__list > .menu__list-item > .menu__list-item-collapsible > .menu__link--sublist::before {
  content: '';
  width: 24px;
  height: 24px;
  float: left;
  margin: 0 13px 0 0;
}

html[data-theme='light'] .menu > .menu__list > li:nth-child(1) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/home-small-light.svg') no-repeat;
}
html[data-theme='dark'] .menu > .menu__list > li:nth-child(1) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/home-small-dark.svg') no-repeat;
}

html[data-theme='light'] .menu > .menu__list > li:nth-child(2) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/blockchain-small-light.svg') no-repeat;
}
html[data-theme='dark'] .menu > .menu__list > li:nth-child(2) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/blockchain-small-dark.svg') no-repeat;
}

html[data-theme='light'] .menu > .menu__list > li:nth-child(3) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/tezos-small-light.svg') no-repeat;
}
html[data-theme='dark'] .menu > .menu__list > li:nth-child(3) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/tezos-small-dark.svg') no-repeat;
}

html[data-theme='light'] .menu > .menu__list > li:nth-child(4) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/node-small-light.svg') no-repeat;
}
html[data-theme='dark'] .menu > .menu__list > li:nth-child(4) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/node-small-dark.svg') no-repeat;
}

html[data-theme='light'] .menu > .menu__list > li:nth-child(5) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/explorer-small-light.svg') no-repeat;
}
html[data-theme='dark'] .menu > .menu__list > li:nth-child(5) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/explorer-small-dark.svg') no-repeat;
}

html[data-theme='light'] .menu > .menu__list > li:nth-child(6) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/archetype-small-light.svg') no-repeat;
}
html[data-theme='dark'] .menu > .menu__list > li:nth-child(6) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/archetype-small-dark.svg') no-repeat;
}

html[data-theme='light'] .menu > .menu__list > li:nth-child(7) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/smartpy-small-light.svg') no-repeat;
}
html[data-theme='dark'] .menu > .menu__list > li:nth-child(7) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/smartpy-small-dark.svg') no-repeat;
}

html[data-theme='light'] .menu > .menu__list > li:nth-child(8) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/ligo-small-light.svg') no-repeat;
}
html[data-theme='dark'] .menu > .menu__list > li:nth-child(8) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/ligo-small-dark.svg') no-repeat;
}

html[data-theme='light'] .menu > .menu__list > li:nth-child(9) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/michelson-small-light.svg') no-repeat;
}
html[data-theme='dark'] .menu > .menu__list > li:nth-child(9) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/michelson-small-dark.svg') no-repeat;
}

html[data-theme='light'] .menu > .menu__list > li:nth-child(10) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/dapp-small-light.svg') no-repeat;
}
html[data-theme='dark'] .menu > .menu__list > li:nth-child(10) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/dapp-small-dark.svg') no-repeat;
}

html[data-theme='light'] .menu > .menu__list > li:nth-child(11) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/baking-small-light.svg') no-repeat;
}
html[data-theme='dark'] .menu > .menu__list > li:nth-child(11) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/baking-small-dark.svg') no-repeat;
}

html[data-theme='light'] .menu > .menu__list > li:nth-child(12) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/baker-small-light.svg') no-repeat;
}
html[data-theme='dark'] .menu > .menu__list > li:nth-child(12) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/baker-small-dark.svg') no-repeat;
}

html[data-theme='light'] .menu > .menu__list > li:nth-child(13) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/defi-small-light.svg') no-repeat;
}
html[data-theme='dark'] .menu > .menu__list > li:nth-child(13) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/defi-small-dark.svg') no-repeat;
}

html[data-theme='light'] .menu > .menu__list > li:nth-child(14) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/formal-small-light.svg') no-repeat;
}
html[data-theme='dark'] .menu > .menu__list > li:nth-child(14) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/formal-small-dark.svg') no-repeat;
}

html[data-theme='light'] .menu > .menu__list > li:nth-child(15) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/private-small-light.svg') no-repeat;
}
html[data-theme='dark'] .menu > .menu__list > li:nth-child(15) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/private-small-dark.svg') no-repeat;
}

html[data-theme='light'] .menu > .menu__list > li:nth-child(16) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/contribute-small-light.svg') no-repeat;
}
html[data-theme='dark'] .menu > .menu__list > li:nth-child(16) > .menu__list-item-collapsible > a::before {
  background: url('/img/icons/contribute-small-dark.svg') no-repeat;
}
.green {
  color: #00ff28;
  margin-bottom: 10px;
}

.red {
  color: #ff0000;
  margin-bottom: 10px;
}

html[data-theme='light'] .exam-submit {
  color: var(--ifm-font-color-base);
  background-color: transparent;
  border: 1px solid var(--ifm-font-color-base);
  border-radius: 10px;
  padding: 10px 20px;
  cursor: pointer;
}

html[data-theme='dark'] .exam-submit {
  color: #fff;
  background-color: transparent;
  border: 1px solid #fff;
  border-radius: 10px;
  padding: 10px 20px;
  cursor: pointer;
}

html[data-theme='light'] .exam-name {
  color: var(--ifm-font-color-base);
  background-color: transparent;
  border: 1px solid var(--ifm-font-color-base);
  border-radius: 10px;
  padding: 10px 20px;
  margin-left: 10px;
}

html[data-theme='dark'] .exam-name {
  color: #fff;
  background-color: transparent;
  border: 1px solid #fff;
  border-radius: 10px;
  padding: 10px 20px;
  margin-left: 10px;
}

.exam-checkbox {
  margin-right: 5px;
}
